# Account

## API Authorization <a href="#api-authorization" id="api-authorization"></a>

Before you can make requests to this resource, you must have a valid bearer token. Review our API [authorization guide](https://docs.korewireless.com/en-us/developers/api-management/auth) to learn how to generate a token. Here's a curl example of how to define your access token in a header:

{% code overflow="wrap" %}

```bash
curl -L "https://iam.api.korewireless.com/v1/accounts" -H "Authorization: Bearer <YOUR_ACCESS_TOKEN>" 
```

{% endcode %}

{% hint style="warning" %}
The examples below do not show the required `Authorization` header due to a bug. We're working on fixing that. In the meantime, be sure to include that in all of your requests.
{% endhint %}

{% openapi src="<https://raw.githubusercontent.com/korewireless/kore-openapi/refs/heads/main/IaM/yaml/kore-iam-v1.yaml>" path="/v1/platform\_account\_mappings" method="get" %}
<https://raw.githubusercontent.com/korewireless/kore-openapi/refs/heads/main/IaM/yaml/kore-iam-v1.yaml>
{% endopenapi %}

{% openapi src="<https://raw.githubusercontent.com/korewireless/kore-openapi/refs/heads/main/IaM/yaml/kore-iam-v1.yaml>" path="/v1/accounts" method="post" %}
<https://raw.githubusercontent.com/korewireless/kore-openapi/refs/heads/main/IaM/yaml/kore-iam-v1.yaml>
{% endopenapi %}

{% openapi src="<https://raw.githubusercontent.com/korewireless/kore-openapi/refs/heads/main/IaM/yaml/kore-iam-v1.yaml>" path="/v1/accounts" method="get" %}
<https://raw.githubusercontent.com/korewireless/kore-openapi/refs/heads/main/IaM/yaml/kore-iam-v1.yaml>
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.korewireless.com/api/global-resources/iam/account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
